Class | Fog::AWS::ElasticBeanstalk::Real
In: | lib/fog/aws/beanstalk.rb lib/fog/aws/requests/beanstalk/describe_environment_resources.rb lib/fog/aws/requests/beanstalk/describe_configuration_options.rb lib/fog/aws/requests/beanstalk/swap_environment_cnames.rb lib/fog/aws/requests/beanstalk/update_configuration_template.rb lib/fog/aws/requests/beanstalk/describe_events.rb lib/fog/aws/requests/beanstalk/create_application.rb lib/fog/aws/requests/beanstalk/create_application_version.rb lib/fog/aws/requests/beanstalk/restart_app_server.rb lib/fog/aws/requests/beanstalk/delete_application_version.rb lib/fog/aws/requests/beanstalk/create_configuration_template.rb lib/fog/aws/requests/beanstalk/validate_configuration_settings.rb lib/fog/aws/requests/beanstalk/delete_application.rb lib/fog/aws/requests/beanstalk/terminate_environment.rb lib/fog/aws/requests/beanstalk/describe_environments.rb lib/fog/aws/requests/beanstalk/rebuild_environment.rb lib/fog/aws/requests/beanstalk/retrieve_environment_info.rb lib/fog/aws/requests/beanstalk/describe_applications.rb lib/fog/aws/requests/beanstalk/update_application.rb lib/fog/aws/requests/beanstalk/delete_environment_configuration.rb lib/fog/aws/requests/beanstalk/describe_configuration_settings.rb lib/fog/aws/requests/beanstalk/create_environment.rb lib/fog/aws/requests/beanstalk/request_environment_info.rb lib/fog/aws/requests/beanstalk/check_dns_availability.rb lib/fog/aws/requests/beanstalk/update_environment.rb lib/fog/aws/requests/beanstalk/delete_configuration_template.rb lib/fog/aws/requests/beanstalk/update_application_version.rb lib/fog/aws/requests/beanstalk/create_storage_location.rb lib/fog/aws/requests/beanstalk/describe_application_versions.rb lib/fog/aws/requests/beanstalk/list_available_solution_stacks.rb
Parent: | Object

### Methods

check_dns_availability create_application create_application_version create_configuration_template create_environment create_storage_location delete_application delete_application_version delete_configuration_template delete_environment_configuration describe_application_versions describe_applications describe_configuration_options describe_configuration_settings describe_environment_resources describe_environments describe_events list_available_solution_stacks new rebuild_environment reload request_environment_info restart_app_server retrieve_environment_info solution_stacks swap_environment_cnames terminate_environment update_application update_application_version update_configuration_template update_environment validate_configuration_settings

### Included Modules

Fog::AWS::CredentialFetcher::ConnectionMethods

### Public Class methods

new(options={})

### Public Instance methods

check_dns_availability(options)

Checks if the specified CNAME is available.

#### Options

- CNAMEPrefix<~String>: The prefix used when this CNAME is reserved

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_CheckDNSAvailability.html

create_application(options={})

Creates an application that has one configuration template named default and no application versions.

#### Options

- ApplicationName<~String>: The name of the application.
- Description<~String>: Describes the application.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_CreateApplication.html

create_application_version(options={})

Creates an application version for the specified application.

#### Options

- ApplicationName<~String>: The name of the application. If no application is found with this name, and AutoCreateApplication is false, returns an InvalidParameterValue error.
- AutoCreateApplication<~Boolean>: If true, create the application if it doesn‘t exist.
- Description<~String>: Describes this version.
- SourceBundle<~Hash>: The Amazon S3 bucket and key that identify the location of the source bundle

        for this version.  Use keys 'S3Bucket' and 'S3Key' to describe location.

- VersionLabel<~String>: A label identifying this version.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_CreateApplicationVersion.html

create_configuration_template(options={})

Creates a configuration template. Templates are associated with a specific application and are used to deploy different versions of the application with the same configuration settings.

#### Options

- ApplicationName<~String>: The name of the application to associate with this configuration template. If no application is found with this name, AWS Elastic Beanstalk returns an InvalidParameterValue error.
- Description<~String>: Describes this configuration.
- EnvironmentId<~String>: The ID of the environment used with this configuration template.
- OptionSettings<~Hash>: If specified, AWS Elastic Beanstalk sets the specified configuration option

        to the requested value. The new value overrides the value obtained from the solution stack or the
        source configuration template.

- SolutionStackName<~String>: The name of the solution stack used by this configuration. The solution

        stack specifies the operating system, architecture, and application server for a configuration template.
        It determines the set of configuration options as well as the possible and default values.

- SourceConfiguration<~String>: If specified, AWS Elastic Beanstalk uses the configuration values from the

        specified configuration template to create a new configuration.

- TemplateName<~String>: The name of the configuration template.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_CreateConfigurationTemplate.html

create_environment(options={})

Launches an environment for the specified application using the specified configuration.

#### Options

- ApplicationName<~String>: If specified, AWS Elastic Beanstalk restricts the returned descriptions

        to include only those that are associated with this application.

- CNAMEPrefix<~String>: If specified, the environment attempts to use this value as the prefix for the CNAME.

        If not specified, the environment uses the environment name.

- Description<~String>: Describes this environment.
- EnvironmentName<~String>: A unique name for the deployment environment. Used in the application URL.
- OptionSettings<~Array>: If specified, AWS Elastic Beanstalk sets the specified configuration options to

        the requested value in the configuration set for the new environment. These override the values obtained
        from the solution stack or the configuration template.

- OptionsToRemove<~Array>: A list of custom user-defined configuration options to remove from the

        configuration set for this new environment.

- SolutionStackName<~String>: This is an alternative to specifying a configuration name. If specified,

        AWS Elastic Beanstalk sets the configuration values to the default values associated with the
        specified solution stack.

- TemplateName<~String>: The name of the configuration template to use in deployment. If no configuration

        template is found with this name, AWS Elastic Beanstalk returns an InvalidParameterValue error.

- VersionLabel<~String>: The name of the application version to deploy.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_CreateEnvironment.html

create_storage_location()

Creates the Amazon S3 storage location for the account.

#### Options

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_CreateStorageLocation.html

delete_application(application_name)

Deletes the specified application along with all associated versions and configurations.

#### Options

- application_name<~String>: The name of the application to delete.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_DeleteApplication.html

delete_application_version(application_name, version_label, delete_source_bundle = nil)

Deletes the specified version from the specified application.

#### Options

- application_name<~String>: The name of the application to delete releases from.
- version_label<~String>: The label of the version to delete.
- delete_source_bundle<~Boolean>: Indicates whether to delete the associated source bundle from Amazon S3.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_DeleteApplication.html

delete_configuration_template(application_name, template_name)

Deletes the specified configuration template.

#### Options

- application_name<~String>: The name of the application to delete the configuration template from.
- template_name<~String>: The name of the configuration template to delete.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_DeleteConfigurationTemplate.html

delete_environment_configuration(application_name, environment_name)

Deletes the draft configuration associated with the running environment.

#### Options

- application_name<~String>: The name of the application the environment is associated with.
- environment_name<~String>: The name of the environment to delete the draft configuration from.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_DeleteConfigurationTemplate.html

describe_application_versions(options={})

Returns descriptions for existing application versions.

#### Options

- ApplicationName<~String>: If specified, AWS Elastic Beanstalk restricts the returned descriptions to

        only include ones that are associated with the specified application.

- VersionLabels<~Array>: If specified, restricts the returned descriptions to only include ones that have

        the specified version labels.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_DescribeApplicationVersions.html

describe_applications(application_names=[])

Returns the descriptions of existing applications.

#### Options

- application_names<~Array>: If specified, AWS Elastic Beanstalk restricts the returned descriptions

                                  to only include those with the specified names.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_DescribeApplications.html

describe_configuration_options(options={})

Describes the configuration options that are used in a particular configuration template or environment, or that a specified solution stack defines. The description includes the values the options, their default values, and an indication of the required action on a running environment if an option value is changed.

#### Options

- ApplicationName<~String>: The name of the application associated with the configuration template or environment. Only needed if you want to describe the configuration options associated with either the configuration template or environment.
- EnvironmentName<~String>: The name of the environment whose configuration options you want to describe.
- Options<~Array>: If specified, restricts the descriptions to only the specified options.
- SolutionStackName<~String>: The name of the solution stack whose configuration options you want to describe.
- TemplateName<~String>: The name of the configuration template whose configuration options you want to describe.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_DescribeConfigurationOptions.html

describe_configuration_settings(options={})

Returns a description of the settings for the specified configuration set, that is, either a configuration template or the configuration set associated with a running environment.

#### Options

- ApplicationName<~String>: The application for the environment or configuration template.
- EnvironmentName<~String>: The name of the environment to describe.
- TemplateName<~String>: The name of the configuration template to describe.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_DescribeConfigurationSettings.html

describe_environment_resources(options={})

Returns AWS resources for this environment.

#### Options

- EnvironmentId
- EnvironmentName

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_DescribeEnvironmentResources.html

describe_environments(options={})

Returns descriptions for existing environments.

#### Options

- ApplicationName<~String>: If specified, AWS Elastic Beanstalk restricts the returned descriptions to include only those that are associated with this application.
- EnvironmentIds
- EnvironmentNames
- IncludeDeleted
- IncludedDeletedBackTo
- VersionLabel<~String>:

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_DescribeEnvironments.html

describe_events(options={})

Returns list of event descriptions matching criteria up to the last 6 weeks.

#### Options

- ApplicationName<~String>: If specified, AWS Elastic Beanstalk restricts the returned descriptions to include only those that are associated with this application.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_DescribeEnvironments.html

list_available_solution_stacks()

Checks if the specified CNAME is available.

#### Options

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_CheckDNSAvailability.html

rebuild_environment(options={})

Deletes and recreates all of the AWS resources (for example: the Auto Scaling group, load balancer, etc.) for a specified environment and forces a restart.

#### Options

- EnvironmentId
- EnvironmentName

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_RebuildEnvironment.html

reload()
request_environment_info(options={})

Returns AWS resources for this environment.

#### Options

- EnvironmentId
- EnvironmentName

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_RequestEnvironmentInfo.html

restart_app_server(options={})

Returns AWS resources for this environment.

#### Options

- EnvironmentId
- EnvironmentName

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_RestartAppServer.html

retrieve_environment_info(options={})

Returns AWS resources for this environment.

#### Options

- EnvironmentId
- EnvironmentName

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_RetrieveEnvironmentInfo.html

solution_stacks()

Returns an array of available solutions stack details

swap_environment_cnames(options={})

Swaps the CNAMEs of two environments.

#### Options

- EnvironmentId
- EnvironmentName

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_SwapEnvironmentCNAMEs.html

terminate_environment(options={})

Terminates the specified environment.

#### Options

- EnvironmentId<~String>: The ID of the environment to terminate.
- EnvironmentName<~String>: The name of the environment to terminate.
- TerminateResources<~Boolean>: Indicates whether the associated AWS resources should shut down when the

        environment is terminated

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_TerminateEnvironment.html

update_application(options)

Updates the specified application to have the specified properties.

#### Options

- ApplicationName<~String>: The name of the application to update. If no such application is found, UpdateApplication returns an InvalidParameterValue error.
- Description<~String>: A new description for the application.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_UpdateApplication.html

update_application_version(options)

Updates the specified application version to have the specified properties.

#### Options

- ApplicationName<~String>: The name of the application associated with this version.
- VersionLabel<~String>: The name of the version to update.
- Description<~String>: A new description for this release.

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_UpdateApplicationVersion.html

update_configuration_template(options={})

Updates the specified configuration template to have the specified properties or configuration option values.

#### Options

- ApplicationName<~String>: If specified, AWS Elastic Beanstalk restricts the returned descriptions to include only those that are associated with this application.
- VersionLabel<~String>:

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_CreateConfigurationTemplate.html

update_environment(options={})

Updates the environment description, deploys a new application version, updates the configuration settings to an entirely new configuration template, or updates select configuration option values in the running environment.

#### Options

- ApplicationName<~String>: If specified, AWS Elastic Beanstalk restricts the returned descriptions to include only those that are associated with this application.
- EnvironmentIds
- EnvironmentNames
- IncludeDeleted
- IncludedDeletedBackTo
- VersionLabel<~String>:

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_CreateEnvironment.html

validate_configuration_settings(options={})

Updates the specified configuration template to have the specified properties or configuration option values.

#### Options

- ApplicationName<~String>: If specified, AWS Elastic Beanstalk restricts the returned descriptions to include only those that are associated with this application.
- VersionLabel<~String>:

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/elasticbeanstalk/latest/api/API_CreateConfigurationTemplate.html

[Validate]